Bug 508371 - X session froze; only mouse pointer moves
X session froze; only mouse pointer moves
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 15:04 EDT by Amit Shah
Modified: 2010-04-14 03:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-14 03:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (108.49 KB, text/plain)
2009-06-26 15:04 EDT, Amit Shah
no flags Details
dmesg (74.31 KB, text/plain)
2009-06-26 15:05 EDT, Amit Shah
no flags Details

  None (edit)
Description Amit Shah 2009-06-26 15:04:12 EDT
Description of problem:

I'm running KDE on F11 updated to the latest updates in updates/.

While writing out a mail in gmail on firefox, my X session just froze with only the mouse pointer being able to move around the screen but no input being accepted. No keypresses from the keyboard were going through.

I had KDE's windows desktops enabled.

Curiously, X hogged about 1-3% of my CPU all the time when I had seen 'top' output earlier. After this freeze, I could log into the machine via ssh and 'top' output didn't show using any cpu cycles at all.

There's nothing interesting in Xorg.0.log or dmesg. I also ran a 'grabtest' test (over ssh) from the grabtest.c file I got off some BZ. It could grab both the keyboard and the mouse successfully.

I'll attach my Xorg.0.log, dmesg output and 'ps fax' output.

One interesting thing to note: My laptop went into suspend-to-disk this evening after the battery ran out. I had faced similar issues of keyboard/mouse lockups in F10 as well and they also could have be because of suspend-to-disk. I routinely suspend-to-ram and resume and that hasn't landed me into any trouble. So after wakeup from S-T-D, there could be some inconsistent state that might cause this.
Comment 1 Amit Shah 2009-06-26 15:04:41 EDT
Created attachment 349590 [details]
Xorg.0.log
Comment 2 Amit Shah 2009-06-26 15:05:09 EDT
Created attachment 349591 [details]
dmesg
Comment 4 Matěj Cepl 2009-11-05 13:33:10 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Amit Shah 2010-04-14 03:40:41 EDT
Haven't seen this in a while (and I've stopped using KDE too)

Note You need to log in before you can comment on or make changes to this bug.